Merchant Portal API Reference

Merchant Portal REST APIs

API Endpoint
http://cvappacce158fecd1.eu2.hana.ondemand.com/cv-configuration
Terms of Service: Terms of service
Contact: opo@clearvat.com
Version: 1.0.0

assortment-controller

Assortment Controller

Post an assortment

POST /assortments

assortmentDTO

Request Content-Types: application/json
Request Example
{
  "Assortment": "string",
  "DateLastChange": "string (date)",
  "DescriptionAssortmentModule": "string",
  "HeadCreatedOn": "string (date)",
  "HeadNamePersonCreated": "string",
  "HeadValidFromDate": "string (date)",
  "HeadValidToDate": "string (date)",
  "LanguageKey": "string",
  "ModuleType": "string",
  "NamePersonChanged": "string",
  "NumberGetNextObject": "string",
  "NumberGetNextRangeNr": "string",
  "Status1": "string",
  "add_Items": [
    {
      "CreatedOn": "string (date)",
      "ListingProcedureLSTFL": "string",
      "ListingProcedureLSTVZ": "string",
      "Material": "string",
      "NamePersonCreated": "string",
      "ValidFromDate": "string (date)",
      "ValidToDate": "string (date)"
    }
  ],
  "shopId": "string"
}
201 Created

Successfully synced assortment

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (201 Created)
{
  "Assortment": "string",
  "DateLastChange": "string (date)",
  "DescriptionAssortmentModule": "string",
  "HeadCreatedOn": "string (date)",
  "HeadNamePersonCreated": "string",
  "HeadValidFromDate": "string (date)",
  "HeadValidToDate": "string (date)",
  "LanguageKey": "string",
  "ModuleType": "string",
  "NamePersonChanged": "string",
  "NumberGetNextObject": "string",
  "NumberGetNextRangeNr": "string",
  "Status1": "string",
  "add_Items": [
    {
      "CreatedOn": "string (date)",
      "ListingProcedureLSTFL": "string",
      "ListingProcedureLSTVZ": "string",
      "Material": "string",
      "NamePersonCreated": "string",
      "ValidFromDate": "string (date)",
      "ValidToDate": "string (date)"
    }
  ],
  "shopId": "string"
}

configuration-controller

Configuration Controller

getConfigurations

GET /configurations
401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"object"

country-controller

Country Controller

View a list of available countries

GET /countries
200 OK

Successfully retrieved list

type
401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "code": "string",
    "name": "string"
  }
]

currency-controller

Currency Controller

View a list of available currencies

GET /currencies
200 OK

Successfully retrieved list

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "countryCode": "string",
    "currencyCode": "string"
  }
]

exchange-rate-controller

Exchange Rate Controller

View a list of available exchange rates

GET /exchange-rates
from: string (date)
in query

from

to: string (date)
in query

to

Successfully retrieved list

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "baseCurrency": "string",
    "createdOn": "string (date)",
    "currency": "string",
    "id": "integer (int64)",
    "rate": "number"
  }
]

Create an exchange rate

POST /exchange-rates

exchangeRateDTO

Request Content-Types: application/json
Request Example
{
  "baseCurrency": "string",
  "createdOn": "string (date)",
  "currency": "string",
  "id": "integer (int64)",
  "rate": "number"
}
201 Created

Successfully created resource

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

Not Found

Response Content-Types: application/json;charset=UTF-8
Response Example (201 Created)
{
  "baseCurrency": "string",
  "createdOn": "string (date)",
  "currency": "string",
  "id": "integer (int64)",
  "rate": "number"
}

Create an exchange rate history

POST /exchange-rates/history
201 Created

Successfully created resource

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

Not Found

Response Content-Types: application/json;charset=UTF-8
Response Example (201 Created)
[
  {
    "baseCurrency": "string",
    "createdOn": "string (date)",
    "currency": "string",
    "id": "integer (int64)",
    "rate": "number"
  }
]

Delete an exchange rate

DELETE /exchange-rates/{id}
id: integer (int64)
in path

id

204 No Content

Successfully deleted resource

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

Response Content-Types: */*

getconfig-api-controller

the getconfig API

Returns an array

GET /config
200 OK

OK

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
[
  {
    "createdBy": "string",
    "createdOn": "string (date-time)",
    "id": "integer (int64)",
    "modifiedBy": "string",
    "modifiedOn": "string (date-time)",
    "name": "string",
    "shopId": "integer (int64)",
    "tenantId": "integer (int64)",
    "value": "string"
  }
]

hello-controller

Hello Controller

index

GET /
200 OK

OK

type
string
401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

index

HEAD /
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

index

POST /
200 OK

OK

type
string
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

index

PUT /
200 OK

OK

type
string
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

index

DELETE /
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

index

OPTIONS /
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

index

PATCH /
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

currencymgmt

GET /currency-mgmt
200 OK

OK

type
string
401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

currencymgmt

HEAD /currency-mgmt
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

currencymgmt

POST /currency-mgmt
200 OK

OK

type
string
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

currencymgmt

PUT /currency-mgmt
200 OK

OK

type
string
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

currencymgmt

DELETE /currency-mgmt
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

currencymgmt

OPTIONS /currency-mgmt
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

currencymgmt

PATCH /currency-mgmt
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

hello

GET /hello
name: string World
in query

name

200 OK

OK

type
string
401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

hello

HEAD /hello
name: string World
in query

name

200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

hello

POST /hello
name: string World
in query

name

200 OK

OK

type
string
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

hello

PUT /hello
name: string World
in query

name

200 OK

OK

type
string
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

hello

DELETE /hello
name: string World
in query

name

200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

hello

OPTIONS /hello
name: string World
in query

name

200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

hello

PATCH /hello
name: string World
in query

name

200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

logout

GET /logout
200 OK

OK

type
string
401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

logout

HEAD /logout
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

logout

POST /logout
200 OK

OK

type
string
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

logout

PUT /logout
200 OK

OK

type
string
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"string"

logout

DELETE /logout
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

logout

OPTIONS /logout
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

logout

PATCH /logout
200 OK

OK

type
string
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: */*
Response Example (200 OK)
"string"

hrb-number-controller

HRB Number Controller

View a list of available HRB Numbers

GET /hrb-numbers
200 OK

Successfully retrieved list

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "description": "string",
    "type": "string"
  }
]

industry-controller

Industry Controller

View a list of available industries

GET /industries
200 OK

Successfully retrieved list

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "code": "string",
    "description": "string"
  }
]

language-controller

Language Controller

View a list of available languages

GET /languages
200 OK

Successfully retrieved list

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "code": "string",
    "name": "string"
  }
]

region-controller

Region Controller

View a list of available regions

GET /regions
200 OK

Successfully retrieved list

type
401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "bland": "string",
    "description": "string",
    "fprcd": "string",
    "herbl": "string",
    "land1": "string",
    "spras": "string"
  }
]

security-configuration-controller

Security Configuration Controller

getConfigurations

GET /rest/configurations
401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
"object"

getConfigByShopId

GET /rest/getconfig
shop_id: integer (int64)
in query

shop_id

200 OK

OK

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: */*
Response Example (200 OK)
[
  {
    "createdBy": "string",
    "createdOn": "string (date-time)",
    "id": "integer (int64)",
    "modifiedBy": "string",
    "modifiedOn": "string (date-time)",
    "name": "string",
    "shopId": "integer (int64)",
    "tenantId": "integer (int64)",
    "value": "string"
  }
]

security-country-controller

Security Country Controller

View a list of available countries

GET /rest/countries
200 OK

Successfully retrieved list

type
401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "code": "string",
    "name": "string"
  }
]

security-currency-controller

Security Currency Controller

View a list of available currencies

GET /rest/currencies
200 OK

Successfully retrieved list

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "countryCode": "string",
    "currencyCode": "string"
  }
]

security-tax-code-controller

Security Tax Code Controller

View a list of available tax codes

GET /rest/tax-codes
200 OK

Successfully retrieved list

type
401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "taxCalculationProcedure": "string",
    "taxCode": "string",
    "taxCodeNameDE": "string",
    "taxCodeNameEN": "string",
    "taxRate": "number",
    "taxReturnCountry": "string",
    "taxType": "string",
    "transactionKey": "string"
  }
]

Download a list of available tax codes

POST /rest/tax-codes

taxCodeDataDTOS

TaxCodeDataDTO
Request Content-Types: application/json;charset=UTF-8
Request Example
[
  {
    "TaxCalculationProcedure": "string",
    "TaxCode": "string",
    "TaxCodeNameDE": "string",
    "TaxCodeNameEN": "string",
    "TaxRate": "number",
    "TaxReturnCountry": "string",
    "TaxType": "string",
    "TransactionKey": "string"
  }
]
201 Created

Created

type
401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

Not Found

Response Content-Types: application/json;charset=UTF-8
Response Example (201 Created)
[
  {
    "taxCalculationProcedure": "string",
    "taxCode": "string",
    "taxCodeNameDE": "string",
    "taxCodeNameEN": "string",
    "taxRate": "number",
    "taxReturnCountry": "string",
    "taxType": "string",
    "transactionKey": "string"
  }
]

tax-code-controller

Tax Code Controller

View a list of available tax codes

GET /tax-codes
200 OK

Successfully retrieved list

type
401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "taxCalculationProcedure": "string",
    "taxCode": "string",
    "taxCodeNameDE": "string",
    "taxCodeNameEN": "string",
    "taxRate": "number",
    "taxReturnCountry": "string",
    "taxType": "string",
    "transactionKey": "string"
  }
]

Download a list of available tax codes

POST /tax-codes

taxCodeDataDTOS

TaxCodeDataDTO
Request Content-Types: application/json
Request Example
[
  {
    "TaxCalculationProcedure": "string",
    "TaxCode": "string",
    "TaxCodeNameDE": "string",
    "TaxCodeNameEN": "string",
    "TaxRate": "number",
    "TaxReturnCountry": "string",
    "TaxType": "string",
    "TransactionKey": "string"
  }
]
201 Created

Created

type
401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

Not Found

Response Content-Types: application/json;charset=UTF-8
Response Example (201 Created)
[
  {
    "taxCalculationProcedure": "string",
    "taxCode": "string",
    "taxCodeNameDE": "string",
    "taxCodeNameEN": "string",
    "taxRate": "number",
    "taxReturnCountry": "string",
    "taxType": "string",
    "transactionKey": "string"
  }
]

tax-number-type-controller

Tax Number Type Controller

View a list of available HRB Numbers

GET /tax-number-types

Successfully retrieved list

401 Unauthorized

You are not authorized to view the resource

403 Forbidden

Accessing the resource you were trying to reach is forbidden

404 Not Found

The resource you were trying to reach is not found

Response Content-Types: application/json;charset=UTF-8
Response Example (200 OK)
[
  {
    "countryCode": "string",
    "taxText": "string",
    "taxType": "string"
  }
]

user-configuration-controller

User Configuration Controller

adminConfiguration

PATCH /rest/configure/merchant/{merchantId}
authenticated: boolean
in query

(no description)

authorities[0].authority: string
in query

(no description)

credentials: object
in query

(no description)

details: object
in query

(no description)

merchantId: integer (int64)
in path

merchantId

principal: object
in query

(no description)

200 OK

OK

204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: application/json
Response Example (200 OK)
{
  "accountNonExpired": "boolean",
  "accountNonLocked": "boolean",
  "active": "boolean",
  "addresses": [
    {
      "country": "string",
      "locality": "string",
      "postal_code": "string",
      "street_address": "string",
      "type": "string"
    }
  ],
  "company": "string",
  "created_on": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "credentialsNonExpired": "boolean",
  "email": "string",
  "emails": [
    {
      "primary": "boolean",
      "type": "string",
      "value": "string"
    }
  ],
  "enabled": "boolean",
  "failed_password_attempts": "integer (int32)",
  "first_name": "string",
  "groups": [
    "string"
  ],
  "language": "string",
  "last_name": "string",
  "login_time": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "mail_verified": "boolean",
  "merchant_id": "integer (int64)",
  "password": "string",
  "phone_verified": "boolean",
  "phones": [
    {
      "primary": "boolean",
      "type": "string",
      "value": "string"
    }
  ],
  "send_email": "boolean",
  "shop_id": "integer (int64)",
  "updated_on": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "username": "string"
}

shopConfiguration

PATCH /rest/configure/shop/{shopId}
authenticated: boolean
in query

(no description)

authorities[0].authority: string
in query

(no description)

credentials: object
in query

(no description)

details: object
in query

(no description)

principal: object
in query

(no description)

shopId: integer (int64)
in path

shopId

200 OK

OK

204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

Response Content-Types: application/json
Response Example (200 OK)
{
  "accountNonExpired": "boolean",
  "accountNonLocked": "boolean",
  "active": "boolean",
  "addresses": [
    {
      "country": "string",
      "locality": "string",
      "postal_code": "string",
      "street_address": "string",
      "type": "string"
    }
  ],
  "company": "string",
  "created_on": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "credentialsNonExpired": "boolean",
  "email": "string",
  "emails": [
    {
      "primary": "boolean",
      "type": "string",
      "value": "string"
    }
  ],
  "enabled": "boolean",
  "failed_password_attempts": "integer (int32)",
  "first_name": "string",
  "groups": [
    "string"
  ],
  "language": "string",
  "last_name": "string",
  "login_time": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "mail_verified": "boolean",
  "merchant_id": "integer (int64)",
  "password": "string",
  "phone_verified": "boolean",
  "phones": [
    {
      "primary": "boolean",
      "type": "string",
      "value": "string"
    }
  ],
  "send_email": "boolean",
  "shop_id": "integer (int64)",
  "updated_on": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "username": "string"
}

Schema Definitions

AssortmentDTO: object

Assortment: string
DateLastChange: string (date)
DescriptionAssortmentModule: string
HeadCreatedOn: string (date)
HeadNamePersonCreated: string
HeadValidFromDate: string (date)
HeadValidToDate: string (date)
LanguageKey: string
ModuleType: string
NamePersonChanged: string
NumberGetNextObject: string
NumberGetNextRangeNr: string
Status1: string
add_Items: AssortmentItemDTO
AssortmentItemDTO
shopId: string
Example
{
  "Assortment": "string",
  "DateLastChange": "string (date)",
  "DescriptionAssortmentModule": "string",
  "HeadCreatedOn": "string (date)",
  "HeadNamePersonCreated": "string",
  "HeadValidFromDate": "string (date)",
  "HeadValidToDate": "string (date)",
  "LanguageKey": "string",
  "ModuleType": "string",
  "NamePersonChanged": "string",
  "NumberGetNextObject": "string",
  "NumberGetNextRangeNr": "string",
  "Status1": "string",
  "add_Items": [
    {
      "CreatedOn": "string (date)",
      "ListingProcedureLSTFL": "string",
      "ListingProcedureLSTVZ": "string",
      "Material": "string",
      "NamePersonCreated": "string",
      "ValidFromDate": "string (date)",
      "ValidToDate": "string (date)"
    }
  ],
  "shopId": "string"
}

AssortmentItemDTO: object

CreatedOn: string (date)
ListingProcedureLSTFL: string
ListingProcedureLSTVZ: string
Material: string
NamePersonCreated: string
ValidFromDate: string (date)
ValidToDate: string (date)
Example
{
  "CreatedOn": "string (date)",
  "ListingProcedureLSTFL": "string",
  "ListingProcedureLSTVZ": "string",
  "Material": "string",
  "NamePersonCreated": "string",
  "ValidFromDate": "string (date)",
  "ValidToDate": "string (date)"
}

Configuration: object

createdBy: string
createdOn: string (date-time)
id: integer (int64)
modifiedBy: string
modifiedOn: string (date-time)
name: string
shopId: integer (int64)
tenantId: integer (int64)
value: string
Example
{
  "createdBy": "string",
  "createdOn": "string (date-time)",
  "id": "integer (int64)",
  "modifiedBy": "string",
  "modifiedOn": "string (date-time)",
  "name": "string",
  "shopId": "integer (int64)",
  "tenantId": "integer (int64)",
  "value": "string"
}

CountryDTO: object

code: string

Code

name: string

Name

Example
{
  "code": "string",
  "name": "string"
}

CurrencyDTO: object

countryCode: string

Country Code

currencyCode: string

Currency Code

Example
{
  "countryCode": "string",
  "currencyCode": "string"
}

ExchangeRateDTO: object

baseCurrency: string

Base currency

createdOn: string (date)

Created on

currency: string

Currency

id: integer (int64)

Auto-generated ID

rate: number

Exchange rate

Example
{
  "baseCurrency": "string",
  "createdOn": "string (date)",
  "currency": "string",
  "id": "integer (int64)",
  "rate": "number"
}

HRBNumberDTO: object

description: string

Description

type: string

Type

Example
{
  "description": "string",
  "type": "string"
}

IndustryDTO: object

code: string

Code

description: string

Description

Example
{
  "code": "string",
  "description": "string"
}

Iterable«Configuration»: object

Example
"object"

LanguageDTO: object

code: string

Code

name: string

Name

Example
{
  "code": "string",
  "name": "string"
}

RegionDTO: object

bland: string

BLAND

description: string

Description

fprcd: string

FPRCD

herbl: string

HERBL

land1: string

LAND1

spras: string

SPRAS

Example
{
  "bland": "string",
  "description": "string",
  "fprcd": "string",
  "herbl": "string",
  "land1": "string",
  "spras": "string"
}

TaxCodeDTO: object

taxCalculationProcedure: string
taxCode: string

Tax Code

taxCodeNameDE: string

Tax Code Name DE

taxCodeNameEN: string

Tax Code Name EN

taxRate: number

Tax Rate

taxReturnCountry: string

Tax Return Country

taxType: string

Tax Type

transactionKey: string

Transaction Key

Example
{
  "taxCalculationProcedure": "string",
  "taxCode": "string",
  "taxCodeNameDE": "string",
  "taxCodeNameEN": "string",
  "taxRate": "number",
  "taxReturnCountry": "string",
  "taxType": "string",
  "transactionKey": "string"
}

TaxCodeDataDTO: object

TaxCalculationProcedure: string
TaxCode: string
TaxCodeNameDE: string
TaxCodeNameEN: string
TaxRate: number
TaxReturnCountry: string
TaxType: string
TransactionKey: string
Example
{
  "TaxCalculationProcedure": "string",
  "TaxCode": "string",
  "TaxCodeNameDE": "string",
  "TaxCodeNameEN": "string",
  "TaxRate": "number",
  "TaxReturnCountry": "string",
  "TaxType": "string",
  "TransactionKey": "string"
}

TaxNumberTypeDTO: object

countryCode: string
taxText: string
taxType: string
Example
{
  "countryCode": "string",
  "taxText": "string",
  "taxType": "string"
}

UserAddressDTO: object

country: string
locality: string
postal_code: string
street_address: string
type: string
Example
{
  "country": "string",
  "locality": "string",
  "postal_code": "string",
  "street_address": "string",
  "type": "string"
}

UserContactDTO: object

primary: boolean
type: string
value: string
Example
{
  "primary": "boolean",
  "type": "string",
  "value": "string"
}

UserDTO: object

accountNonExpired: boolean
accountNonLocked: boolean
active: boolean
addresses: UserAddressDTO
UserAddressDTO
company: string
created_on: string
credentialsNonExpired: boolean
email: string
emails: UserContactDTO
UserContactDTO
enabled: boolean
failed_password_attempts: integer (int32)
first_name: string
groups: string[]
string ADMIN, MERCHANT_ADMIN, SHOP_ADMIN, MERCHANT, SHOP, COMPLIANCE, SUPPORT, ANONYMOUS
language: string
last_name: string
login_time: string
mail_verified: boolean
merchant_id: integer (int64)
password: string
phone_verified: boolean
phones: UserContactDTO
UserContactDTO
send_email: boolean
shop_id: integer (int64)
updated_on: string
username: string
Example
{
  "accountNonExpired": "boolean",
  "accountNonLocked": "boolean",
  "active": "boolean",
  "addresses": [
    {
      "country": "string",
      "locality": "string",
      "postal_code": "string",
      "street_address": "string",
      "type": "string"
    }
  ],
  "company": "string",
  "created_on": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "credentialsNonExpired": "boolean",
  "email": "string",
  "emails": [
    {
      "primary": "boolean",
      "type": "string",
      "value": "string"
    }
  ],
  "enabled": "boolean",
  "failed_password_attempts": "integer (int32)",
  "first_name": "string",
  "groups": [
    "string"
  ],
  "language": "string",
  "last_name": "string",
  "login_time": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "mail_verified": "boolean",
  "merchant_id": "integer (int64)",
  "password": "string",
  "phone_verified": "boolean",
  "phones": [
    {
      "primary": "boolean",
      "type": "string",
      "value": "string"
    }
  ],
  "send_email": "boolean",
  "shop_id": "integer (int64)",
  "updated_on": "yyyy-MM-dd'T'HH:mm:ss'Z'",
  "username": "string"
}